=== debian/changelog ===
mpv (0.22.0-1) unstable; urgency=medium

  * New upstream release.

  * Refresh patches.
  * Update debian/copyright.

 -- James Cowgill <jcowgill@debian.org>  Sun, 20 Nov 2016 23:13:33 +0000
