## mpv 0.23.0

=== wscript ===
--- 
+++ 
@@ -81,6 +81,7 @@
     }, {
         'name': '--zsh-comp',
         'desc': 'zsh completion',
+        'func': check_ctx_vars('BIN_PERL'),
         'func': check_true,
         'default': 'disable',
     }, {
@@ -128,10 +129,6 @@
         'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
             'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
     }, {
-        'name': 'fnmatch',
-        'desc': 'fnmatch()',
-        'func': check_statement('fnmatch.h', 'fnmatch("", "", 0)')
-    }, {
         'name': 'posix-or-mingw',
         'desc': 'development environment',
         'deps_any': [ 'posix', 'mingw' ],
@@ -345,3 +342,6 @@
     }, {
         'name': '--dvdread',
         'desc': 'dvdread support',
+        'func': check_pkg_config('dvdread', '>= 4.1.0'),
+    }, {
+        'name': '--dvdnav',
