=== debian/changelog ===
mpv (0.23.0-2+deb9u2) stretch-security; urgency=high

  * debian/patches/08_ytdl-hook-whitelist-protocols.patch:
    - Fix regression in CVE-2018-6360 patch which broke youtube playlists.
      (Closes: #889892)

 -- James Cowgill <jcowgill@debian.org>  Thu, 08 Feb 2018 12:27:06 +0000

mpv (0.23.0-2+deb9u1) stretch-security; urgency=high

  * debian/patches/08_ytdl-hook-whitelist-protocols.patch:
    - Add patch which whitelists protocols received from youtube-dl.
      Fixes CVE-2018-6360. (Closes: #888654)

 -- James Cowgill <jcowgill@debian.org>  Sat, 03 Feb 2018 15:05:34 +0100

mpv (0.23.0-2) unstable; urgency=medium

  * Add patch from upstream fix segfaults on tv input.
    Thanks to Frédéric Brière. (Closes: #853798)

 -- James Cowgill <jcowgill@debian.org>  Mon, 13 Feb 2017 21:39:28 +0000

mpv (0.23.0-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Build-depend on ffmpeg 3.2.2.
    - Use https for the Homepage field.
  * debian/copyright:
    - Update for 0.23.0.
  * debian/patches:
    - Refresh.
    - Use https for BTS links in debian/patches.

 -- James Cowgill <jcowgill@debian.org>  Tue, 27 Dec 2016 23:02:13 +0000
