## mpv 0.24.0

=== wscript ===
--- 
+++ 
@@ -68,6 +68,12 @@
         'desc': 'dynamic loader',
         'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
     }, {
+        'name': '--cplugins',
+        'desc': 'C plugins',
+        'deps': [ 'libdl' ],
+        'default': 'disable',
+        'func': check_cc(linkflags=['-Wl,-export-dynamic']),
+    }, {
         'name': 'dlopen',
         'desc': 'dlopen',
         'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
@@ -173,19 +179,11 @@
                 'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
         'deps_neg': [ 'stdatomic' ],
     }, {
-        'name': 'sync-builtins',
-        'desc': 'compiler support for __sync built-ins',
-        'func': check_statement('stdint.h',
-                    'int64_t test = 0;'
-                    '__typeof__(test) x = ({int a = 1; a;});'
-                    'test = __sync_add_and_fetch(&test, 1)'),
-        'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
-    }, {
         'name': 'atomics',
         'desc': 'stdatomic.h support or emulation',
         'func': check_true,
         'req': True,
-        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins', 'gnuc'],
+        'deps_any': ['stdatomic', 'atomic-builtins', 'gnuc'],
     }, {
         'name': 'c11-tls',
         'desc': 'C11 TLS support',
@@ -345,3 +343,8 @@
         'func': check_pkg_config('dvdread', '>= 4.1.0'),
     }, {
         'name': '--dvdnav',
+        'desc': 'dvdnav support',
+        'deps': [ 'dvdread' ],
+        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
+    }, {
+        'name': '--cdda',
