=== debian/changelog ===
mpv (0.24.0-1) experimental; urgency=medium

  * New upstream release.
    - Fixes segfaults on TV input. (Closes: #853798)

  * debian/control:
    - Enable uchardet for subtitle encoding detection. (Closes: #854788)
  * debian/copyright:
    - Update copyright dates.

 -- James Cowgill <jcowgill@debian.org>  Sun, 12 Feb 2017 21:12:19 +0000
