=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
  libswscale-dev (>= 7:3.2.2),
+ libuchardet-dev,
  libv4l-dev,
  libva-dev,
  libvdpau-dev,
