## mpv 0.25.0

=== wscript ===
--- 
+++ 
@@ -72,7 +72,7 @@
         'desc': 'C plugins',
         'deps': [ 'libdl' ],
         'default': 'disable',
-        'func': check_cc(linkflags=['-Wl,-export-dynamic']),
+        'func': check_cc(linkflags=['-rdynamic']),
     }, {
         'name': 'dlopen',
         'desc': 'dlopen',
@@ -171,19 +171,11 @@
                 'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                 'atomic_fetch_add(&test, 1)'))
     }, {
-        'name': 'atomic-builtins',
-        'desc': 'compiler support for __atomic built-ins',
-        'func': check_libs(['atomic'],
-            check_statement('stdint.h',
-                'int64_t test = 0;'
-                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
-        'deps_neg': [ 'stdatomic' ],
-    }, {
         'name': 'atomics',
-        'desc': 'stdatomic.h support or emulation',
-        'func': check_true,
-        'req': True,
-        'deps_any': ['stdatomic', 'atomic-builtins', 'gnuc'],
+        'desc': 'stdatomic.h support or slow emulation',
+        'func': check_true,
+        'req': True,
+        'deps_any': ['stdatomic', 'gnuc'],
     }, {
         'name': 'c11-tls',
         'desc': 'C11 TLS support',
@@ -337,14 +329,24 @@
         'name': '--libbluray',
         'desc': 'Bluray support',
         'func': check_pkg_config('libbluray', '>= 0.3.0'),
+        #'default': 'disable',
     }, {
         'name': '--dvdread',
         'desc': 'dvdread support',
         'func': check_pkg_config('dvdread', '>= 4.1.0'),
+        'default': 'disable',
     }, {
         'name': '--dvdnav',
         'desc': 'dvdnav support',
-        'deps': [ 'dvdread' ],
-        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
+        'func': check_pkg_config('dvdnav',  '>= 4.2.0',
+                                 'dvdread', '>= 4.1.0'),
+        'default': 'disable',
+    }, {
+        'name': 'dvdread-common',
+        'desc': 'DVD/IFO support',
+        'deps_any': [ 'dvdread', 'dvdnav' ],
+        'func': check_true,
     }, {
         'name': '--cdda',
+        'desc': 'cdda support (libcdio)',
+        'func': check_pkg_config('libcdio_paranoia'),
