=== debian/changelog ===
mpv (0.25.0-3) unstable; urgency=medium

  * debian/control:
    - Drop mplayer2 transitional package.
    - Build-Depend on libcaca-dev. (Closes: #865517)

 -- James Cowgill <jcowgill@debian.org>  Thu, 22 Jun 2017 12:19:08 +0100

mpv (0.25.0-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    - Drop build dependencies on libenca-dev and libguess-dev.
      Thanks to Yuriy M. Kaminskiy
    - Bump standards to 4.0.0 (no changes required).

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Jun 2017 09:11:40 +0100

mpv (0.25.0-1) experimental; urgency=medium

  * New upstream release.

  * debian/compat:
    - Use debhelper compat 10.
  * debian/copyright:
    - Update various files which were relicensed from GPL to LGPL.
  * debian/patches:
    - Refresh.
  * debian/rules:
    - Re-enable dvd functionality which was disabled by default upstream.

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Apr 2017 21:34:39 +0100
