=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends:
+ debhelper (>= 10),
  dpkg-dev (>= 1.17),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
@@ -16,14 +17,13 @@
  libavresample-dev (>= 7:3.2.2),
  libavutil-dev (>= 7:3.2.2),
  libbluray-dev,
+ libcaca-dev,
  libcdio-paranoia-dev,
  libdvdnav-dev,
  libdvdread-dev,
  libegl1-mesa-dev [linux-any],
- libenca-dev,
  libgbm-dev,
  libgl1-mesa-dev,
- libguess-dev,
  libjack-dev,
  libjpeg-dev,
  liblcms2-dev (>= 2.6~),
@@ -48,7 +48,7 @@
  pkg-config,
  python,
  python-docutils,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://mpv.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpv.git
@@ -98,15 +98,3 @@
  variety of video file formats, audio and video codecs, and subtitle types.
  .
  This package provides development files for libmpv.
-
-Package: mplayer2
-Section: oldlibs
-Architecture: all
-Depends: mpv, ${misc:Depends}
-Multi-Arch: foreign
-Replaces: mplayer
-Conflicts: mplayer
-Description: transitional dummy package for mpv
- This is a transitional dummy package to get upgrading systems to install
- the mpv package. It can safely be removed once no other package depends
- on it.
