## mpv 0.26.0

=== wscript ===
--- 
+++ 
@@ -12,6 +12,19 @@
 c_preproc.go_absolute=True # enable system folders
 c_preproc.standard_includes.append('/usr/local/include')
 
+"""
+Dependency identifiers (for win32 vs. Unix):
+    wscript / C source      meaning
+    --------------------------------------------------------------------------
+    posix / HAVE_POSIX:                 defined on Linux, OSX, Cygwin
+                                        (Cygwin emulates POSIX APIs on Windows)
+    mingw / __MINGW32__:                defined if posix is not defined
+                                        (Windows without Cygwin)
+    os-win32 / _WIN32:                  defined if basic windows.h API is available
+    win32-desktop / HAVE_WIN32_DESKTOP: defined if desktop windows.h API is available
+    uwp / HAVE_UWP:                     defined if building for UWP (basic Windows only)
+"""
+
 build_options = [
     {
         'name': '--cplayer',
@@ -71,19 +84,8 @@
         'name': '--cplugins',
         'desc': 'C plugins',
         'deps': [ 'libdl' ],
-        'default': 'disable',
+        'deps_neg': [ 'os-win32' ],
         'func': check_cc(linkflags=['-rdynamic']),
-    }, {
-        'name': 'dlopen',
-        'desc': 'dlopen',
-        'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
-        'func': check_true
-    }, {
-        'name': '--vf-dlopen-filters',
-        'desc': 'compilation of default filters for vf_dlopen',
-        'deps': [ 'dlopen' ],
-        'default': 'disable',
-        'func': check_true
     }, {
         'name': '--zsh-comp',
         'desc': 'zsh completion',
@@ -143,15 +145,23 @@
         'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                 'or compiler does not work.',
     }, {
-        'name': 'win32',
-        'desc': 'win32',
+        'name': '--uwp',
+        'desc': 'Universal Windows Platform',
+        'default': 'disable',
+        'deps': [ 'os-win32', 'mingw' ],
+        'deps_neg': [ 'cplayer' ],
+        'func': check_cc(lib=['windowsapp']),
+    }, {
+        'name': 'win32-desktop',
+        'desc': 'win32 desktop APIs',
         'deps_any': [ 'os-win32', 'os-cygwin' ],
+        'deps_neg': [ 'uwp' ],
         'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi']),
     }, {
         'name': '--win32-internal-pthreads',
         'desc': 'internal pthread wrapper for win32 (Vista+)',
         'deps_neg': [ 'posix' ],
-        'deps': [ 'win32' ],
+        'deps': [ 'os-win32' ],
         'func': check_true,
     }, {
         'name': 'pthreads',
@@ -177,14 +187,6 @@
         'req': True,
         'deps_any': ['stdatomic', 'gnuc'],
     }, {
-        'name': 'c11-tls',
-        'desc': 'C11 TLS support',
-        'func': check_statement('stddef.h', 'static _Thread_local int x = 0'),
-    }, {
-        'name': 'gcc-tls',
-        'desc': 'GCC TLS support',
-        'func': check_statement('stddef.h', 'static __thread int x = 0'),
-    }, {
         'name': 'librt',
         'desc': 'linking with -lrt',
         'deps': [ 'pthreads' ],
@@ -222,18 +224,15 @@
             'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
         'deps_neg': ['mingw'],
     }, {
-        'name': 'subprocess',
-        'desc': 'posix_spawnp() or MinGW',
-        'func': check_true,
-        'deps_any': ['posix-spawn', 'mingw'],
-    }, {
-        'name': 'glob',
-        'desc': 'glob()',
-        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
-    }, {
-        'name': 'glob-win32-replacement',
+        'name': 'win32-pipes',
+        'desc': 'Windows pipe support',
+        'func': check_true,
+        'deps': [ 'win32-desktop' ],
+        'deps_neg': [ 'posix' ],
+    }, {
+        'name': 'glob-win32',
         'desc': 'glob() win32 replacement',
-        'deps_neg': [ 'glob' ],
+        'deps_neg': [ 'posix' ],
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
     }, {
@@ -265,15 +264,8 @@
         'name': 'bsd-thread-name',
         'desc': 'BSD API for setting thread name',
         'deps_neg': [ 'glibc-thread-name', 'osx-thread-name' ],
-        'func': check_statement(['pthread.h', 'pthread_np.h'],
+        'func': check_statement('pthread.h',
                                 'pthread_set_name_np(pthread_self(), "ducks")',
-                                use=['pthreads']),
-    }, {
-        'name': 'netbsd-thread-name',
-        'desc': 'NetBSD API for setting thread name',
-        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name', 'bsd-thread-name' ],
-        'func': check_statement('pthread.h',
-                                'pthread_setname_np(pthread_self(), "%s", (void *)"ducks")',
                                 use=['pthreads']),
     }, {
         'name': 'bsd-fstatfs',
@@ -288,15 +280,20 @@
                                 'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
     }, {
         'name': '--libsmbclient',
-        'desc': 'Samba support',
+        'desc': 'Samba support (makes mpv GPLv3)',
         'deps': [ 'libdl' ],
         'func': check_pkg_config('smbclient'),
+        'default': 'disable',
         'module': 'input',
     }, {
         'name' : '--lua',
         'desc' : 'Lua',
         'func': check_lua,
     }, {
+        'name' : '--javascript',
+        'desc' : 'Javascript (MuJS backend)',
+        'func': check_pkg_config('mujs', '>= 1.0.0'),
+    }, {
         'name': '--libass',
         'desc': 'SSA/ASS support',
         'func': check_pkg_config('libass', '>= 0.12.1'),
@@ -315,7 +312,7 @@
         'deps_neg': [ 'libass-osd' ],
         'func': check_true,
     } , {
-        'name': 'zlib',
+        'name': '--zlib',
         'desc': 'zlib',
         'func': check_libs(['z'],
                     check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
@@ -349,4 +346,3 @@
     }, {
         'name': '--cdda',
         'desc': 'cdda support (libcdio)',
-        'func': check_pkg_config('libcdio_paranoia'),
