=== debian/changelog ===
mpv (0.26.0-3ubuntu1) artful; urgency=medium

  * Prefer Wayland over X11, so if both are present (e.g. Xwayland) then
    VA-API gets a display type that works (LP: #1698287)
  * Enable hardware acceleration by default (LP: #1708102)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 09 Aug 2017 16:38:55 +0800

mpv (0.26.0-3) unstable; urgency=medium

  * Bump ffmpeg build dependency to >= 3.3.
    - Should fix hardware decoding in 0.26.0. (Closes: #869093)

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Jul 2017 22:55:30 +0100

mpv (0.26.0-2) unstable; urgency=medium

  * debian/control, debian/rules:
    - Remove --enable-tv option and drop libv4l-dev build dependency. This
      functionality is now provided through ffmpeg.
  * debian/patches/07_io-stdin-used.patch:
    - Add _IO_stdin_used to mpv version script. Should fix FTBFS on alpha,
      mips* and powerpc*.

 -- James Cowgill <jcowgill@debian.org>  Fri, 21 Jul 2017 10:03:53 +0100

mpv (0.26.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes unfinished --audio-spdif sentence in the manpage.
      (Closes: #864908)

  * debian/copyright:
    - Update d/copyright and list of GPL-2 files.
    - Clarify license of distributed binaries is GPL-3+.
  * debian/patches:
    - Refresh patches.
    - Update waf to 1.9.8.
  * debian/rules:
    - Reformat and sort configure options in d/rules.
    - Fix DEB_HOST_MULTIARCH when d/rules is invoked directly.
    - Enable libsmbclient and tv (disabled upstream).

 -- James Cowgill <jcowgill@debian.org>  Wed, 19 Jul 2017 14:59:54 +0100
