=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  dpkg-dev (>= 1.17),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
- libavcodec-dev (>= 7:3.2.2),
- libavdevice-dev (>= 7:3.2.2),
- libavfilter-dev (>= 7:3.2.2),
- libavformat-dev (>= 7:3.2.2),
- libavresample-dev (>= 7:3.2.2),
- libavutil-dev (>= 7:3.2.2),
+ libavcodec-dev (>= 7:3.3),
+ libavdevice-dev (>= 7:3.3),
+ libavfilter-dev (>= 7:3.3),
+ libavformat-dev (>= 7:3.3),
+ libavresample-dev (>= 7:3.3),
+ libavutil-dev (>= 7:3.3),
  libbluray-dev,
  libcaca-dev,
  libcdio-paranoia-dev,
@@ -33,9 +33,8 @@
  libsdl2-dev,
  libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
- libswscale-dev (>= 7:3.2.2),
+ libswscale-dev (>= 7:3.3),
  libuchardet-dev,
- libv4l-dev,
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],
