=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738
 
@@ -11,11 +13,15 @@
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
 			--confdir=/etc/mpv				\
 			--zshdir=/usr/share/zsh/vendor-completions	\
-			--enable-cdda --enable-sdl2 --enable-sndio	\
-			--enable-zsh-comp --enable-libmpv-shared	\
-			--enable-encoding				\
+			--enable-cdda					\
 			--enable-dvdnav					\
 			--enable-dvdread				\
+			--enable-encoding				\
+			--enable-libmpv-shared				\
+			--enable-libsmbclient				\
+			--enable-sdl2					\
+			--enable-sndio					\
+			--enable-zsh-comp				\
 			--disable-build-date
 
 override_dh_auto_build:
@@ -23,6 +29,7 @@
 
 override_dh_auto_install:
 	python ./waf -v install --destdir=debian/tmp
+	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES
