## mpv 0.27.0

=== debian/changelog ===
mpv (0.27.0-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Prefer Wayland over X11, so if both are present (e.g. Xwayland) then
      VA-API gets a display type that works (LP: #1698287)
    - Enable hardware acceleration by default (LP: #1708102)

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Nov 2017 09:37:05 +0100

mpv (0.27.0-2) unstable; urgency=medium

  * debian/control:
    - Bump standards version to 4.1.1 (no changes).
  * debian/patches:
    - Add upstream patch to fix FTBFS with libva 2.0. (Closes: #879057)

 -- James Cowgill <jcowgill@debian.org>  Sat, 21 Oct 2017 13:35:54 +0100

mpv (0.27.0-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Bump standards version to 4.1.0 (no changes).
  * debian/copyright:
    - Update copyright.
  * debian/patches:
    - Refresh.
  * debian/rules:
    - Re-enable DVB. (Closes: #873294)
    - Run waf using python3 instead of python2.

 -- James Cowgill <jcowgill@debian.org>  Fri, 15 Sep 2017 09:37:24 +0100

mpv (0.26.0-3ubuntu2) bionic; urgency=medium

  * No-change rebuild for libcdaudio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 11:32:58 +0000
