=== debian/control ===
--- 
+++ 
@@ -45,9 +45,9 @@
  libxss-dev,
  libxv-dev,
  pkg-config,
- python,
- python-docutils,
-Standards-Version: 4.0.0
+ python3,
+ python3-docutils,
+Standards-Version: 4.1.1
 Homepage: https://mpv.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpv.git
