## mpv 0.27.2

=== wscript ===
--- 
+++ 
@@ -137,6 +137,10 @@
         'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
             'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
     }, {
+        'name': '--android',
+        'desc': 'Android environment',
+        'func': check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
+    }, {
         'name': 'posix-or-mingw',
         'desc': 'development environment',
         'deps_any': [ 'posix', 'mingw' ],
@@ -230,11 +234,21 @@
         'deps': [ 'win32-desktop' ],
         'deps_neg': [ 'posix' ],
     }, {
+        'name': 'glob-posix',
+        'desc': 'glob() POSIX support',
+        'deps_neg': [ 'os-win32', 'os-cygwin' ],
+        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)'),
+    }, {
         'name': 'glob-win32',
         'desc': 'glob() win32 replacement',
         'deps_neg': [ 'posix' ],
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
+    }, {
+        'name': 'glob',
+        'desc': 'any glob() support',
+        'deps_any': [ 'glob-posix', 'glob-win32' ],
+        'func': check_true,
     }, {
         'name': 'fchmod',
         'desc': 'fchmod()',
@@ -330,19 +344,3 @@
     }, {
         'name': '--dvdread',
         'desc': 'dvdread support',
-        'func': check_pkg_config('dvdread', '>= 4.1.0'),
-        'default': 'disable',
-    }, {
-        'name': '--dvdnav',
-        'desc': 'dvdnav support',
-        'func': check_pkg_config('dvdnav',  '>= 4.2.0',
-                                 'dvdread', '>= 4.1.0'),
-        'default': 'disable',
-    }, {
-        'name': 'dvdread-common',
-        'desc': 'DVD/IFO support',
-        'deps_any': [ 'dvdread', 'dvdnav' ],
-        'func': check_true,
-    }, {
-        'name': '--cdda',
-        'desc': 'cdda support (libcdio)',
