=== debian/changelog ===
mpv (0.27.2-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable (LP: #1753472). Remaining changes:
    - Prefer Wayland over X11, so if both are present (e.g. Xwayland) then
      VA-API gets a display type that works. (LP: #1698287)
    - Enable VA-API hardware acceleration by default.
      (LP: #1708102, LP: #1737670, LP: #1728514)

 -- James Cowgill <jcowgill@debian.org>  Mon, 09 Apr 2018 15:17:34 +0100

mpv (0.27.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Also whitelist subtitle URLs in youtube-dl hook. (Closes: #890410)

 -- James Cowgill <jcowgill@debian.org>  Fri, 16 Feb 2018 22:56:00 +0000

mpv (0.27.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/09_ytdl-hook-whitelist-protocols.patch:
    - Drop, slightly modified version applied upstream.

 -- James Cowgill <jcowgill@debian.org>  Mon, 12 Feb 2018 19:57:05 +0000

mpv (0.27.0-4) unstable; urgency=high

  * debian/patches/09_ytdl-hook-whitelist-protocols.patch:
    - Fix regression in CVE-2018-6360 patch which broke youtube playlists.
      (Closes: #889892)

 -- James Cowgill <jcowgill@debian.org>  Thu, 08 Feb 2018 11:51:09 +0000

mpv (0.27.0-3) unstable; urgency=high

  * debian/patches/09_ytdl-hook-whitelist-protocols.patch:
    - Add patch which whitelists protocols received from youtube-dl.
      Fixes CVE-2018-6360. (Closes: #888654)

 -- James Cowgill <jcowgill@debian.org>  Sat, 03 Feb 2018 14:59:20 +0100

mpv (0.27.0-2ubuntu4) bionic; urgency=medium

  * Only try hwdec=vaapi, or nothing at all. This avoids problems with other
    acceleration methods such as Nvidia CUDA (LP: #1737670, LP: #1728514)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 15 Dec 2017 09:47:31 +0100

mpv (0.27.0-2ubuntu3) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 02:52:35 +0000

mpv (0.27.0-2ubuntu2) bionic; urgency=medium

  * No-change rebuild for mpv library name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Nov 2017 22:47:19 +0100
