=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,15 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+  ARCH_CONFIGURE = --enable-dvbin
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	python ./waf configure						\
+	python3 ./waf configure						\
 			--prefix=/usr					\
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
 			--confdir=/etc/mpv				\
@@ -22,18 +26,19 @@
 			--enable-sdl2					\
 			--enable-sndio					\
 			--enable-zsh-comp				\
-			--disable-build-date
+			--disable-build-date				\
+			$(ARCH_CONFIGURE)
 
 override_dh_auto_build:
-	python ./waf -v build
+	python3 ./waf -v build
 
 override_dh_auto_install:
-	python ./waf -v install --destdir=debian/tmp
+	python3 ./waf -v install --destdir=debian/tmp
 	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES
 
 override_dh_auto_clean:
-	test -s ./waf && python ./waf -v distclean || true
+	test -s ./waf && python3 ./waf -v distclean || true
 	find . -name "*.pyc" -delete
